Bug 1089853 - [GSS] (6.3.0) Implement sync of counters for non transactional sends
Summary: [GSS] (6.3.0) Implement sync of counters for non transactional sends
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Clebert Suconic
QA Contact: Miroslav Novak
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1064596 1084639 1088609
TreeView+ depends on / blocked
 
Reported: 2014-04-22 04:55 UTC by Jimmy Wilson
Modified: 2014-08-06 14:40 UTC (History)
4 users (show)

(edit)
This release of JBoss EAP 6 contains an enhancement with an increase in the number of checks performed to guarantee the page counter is synced properly. This enhancement was added as it was found that, in earlier versions of the product, the page counter could get out of sync between paged messages and what was stored on the journal which could lead to negative delivering numbers. The extra checks prevent this from happening.
Clone Of: 1088609
(edit)
Last Closed: 2014-08-06 14:40:27 UTC


Attachments (Terms of Use)

Description Jimmy Wilson 2014-04-22 04:55:01 UTC
+++ This bug was initially created as a clone of Bug #1088609 +++

There's a case where sending non tx messages, persistently, you may get out of sync on the counters with paging in case of a failure

I never consider that a big deal since it would be a small window where the counter would be out of sync... after a failover until the page was completely consumed.. however users are complaining about this.

I have implemented a new record type on page that will be a point of sync when a new counter is on a pending state regarding a page file.

When the page is closed I then remove the pending record and make the cursor effective.

Comment 1 Scott Mumford 2014-05-14 04:03:36 UTC
Marked this bug as an Enhancement for Release Notes purposes and set requires_doc_text flag to '-' as issue still open (MODIFIED) at the time of preparing Release Notes for 6.3.0 Beta.

Comment 2 Scott Mumford 2014-05-14 04:07:21 UTC
Reformatted Doc Text content for future use in Release Notes documentation.

Comment 3 Kabir Khan 2014-07-01 14:29:28 UTC
Should be fixed by upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1064596 for DR2

Comment 4 Martin Svehla 2014-07-02 08:16:37 UTC
Verified in EAP 6.3.0.ER7 / HornetQ 2.3.19.Final


Note You need to log in before you can comment on or make changes to this bug.